org.eclipse.jgit.revwalk

## Class DepthWalk.Commit

- java.lang.Object
- - org.eclipse.jgit.lib.AnyObjectId
  - - org.eclipse.jgit.lib.ObjectId
    - - org.eclipse.jgit.lib.ObjectIdOwnerMap.Entry
      - - org.eclipse.jgit.revwalk.RevObject
        - - org.eclipse.jgit.revwalk.RevCommit
          - - org.eclipse.jgit.revwalk.DepthWalk.Commit

All Implemented Interfaces:
  Serializable, Comparable<AnyObjectId>

Enclosing interface:
  DepthWalk

    public static class DepthWalk.Commit
    extends RevCommit

RevCommit with a depth (in commits) from a root.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`protected` `DepthWalk.Commit(AnyObjectId id)` Initialize a new commit.

### Method Summary

Methods
`int` `getDepth()`

### Methods inherited from class org.eclipse.jgit.revwalk.RevCommit

`carry, getAuthorIdent, getCommitterIdent, getCommitTime, getEncoding, getFooterLines, getFooterLines, getFooterLines, getFullMessage, getParent, getParentCount, getParents, getRawBuffer, getShortMessage, getTree, getType, parse, parse, reset, toString`

### Methods inherited from class org.eclipse.jgit.revwalk.RevObject

`add, add, appendCoreFlags, getId, has, hasAll, hasAny, remove, remove`

### Methods inherited from class org.eclipse.jgit.lib.ObjectId

`equals, fromRaw, fromRaw, fromRaw, fromRaw, fromString, fromString, isId, toObjectId, toString, zeroId`

### Methods inherited from class org.eclipse.jgit.lib.AnyObjectId

`abbreviate, compareTo, compareTo, compareTo, copy, copyRawTo, copyRawTo, copyRawTo, copyRawTo, copyTo, copyTo, copyTo, copyTo, copyTo, copyTo, equals, equals, equals, getByte, getFirstByte, getName, hashCode, name, startsWith`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DepthWalk.Commit

    protected DepthWalk.Commit(AnyObjectId id)

Initialize a new commit.

Parameters:
  `id` - object name for the commit.

### Method Detail

#### getDepth

    public int getDepth()

Returns:
  depth of this commit, as found by the shortest path.